import "moebius92.NormalQuickslot";

CCTimerOptionsQuickslot = class(moebius92.NormalQuickslot.NormalQuickslot);

function CCTimerOptionsQuickslot:Constructor(parent, size)
	moebius92.NormalQuickslot.NormalQuickslot.Constructor(self);

	self.parent = parent;
	self.safe = 0;

	self:SetSize(size, size);
	self:SetParent(parent);
end

function CCTimerOptionsQuickslot:ShortcutChanged(args)
	local shortcut = self:GetShortcut();

	if shortcut == nil or shortcut:GetType() == Turbine.UI.Lotro.ShortcutType.Undefined then
		self.parent:SetShortcut(nil);
	elseif shortcut:GetType() == Turbine.UI.Lotro.ShortcutType.Skill then
		self.parent:SetShortcut(shortcut:GetData());
	else
		self:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Undefined, ""));
	end
end

